-------------------------------------------------------------------------------
--
-- Copyright (C) 2015
-- ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
-- P.O.Box 2, 7990 AA Dwingeloo, The Netherlands
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-------------------------------------------------------------------------------

LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

PACKAGE qsys_lofar2_unb2b_adc_pkg IS

  -----------------------------------------------------------------------------
  -- this component declaration is copy-pasted from Quartus QSYS builder generated file:
  -- $RADIOHDL_WORK/build/unb2b/quartus/unb2b_test_ddr/qsys_unb2b_test/sim/qsys_unb2b_test.vhd
  -----------------------------------------------------------------------------
  
    component qsys_lofar2_unb2b_adc is
        port (
            avs_eth_0_clk_export                                         : out std_logic;                                        -- export
            avs_eth_0_irq_export                                         : in  std_logic                     := 'X';             -- export
            avs_eth_0_ram_address_export                                 : out std_logic_vector(9 downto 0);                     -- export
            avs_eth_0_ram_read_export                                    : out std_logic;                                        -- export
            avs_eth_0_ram_readdata_export                                : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            avs_eth_0_ram_write_export                                   : out std_logic;                                        -- export
            avs_eth_0_ram_writedata_export                               : out std_logic_vector(31 downto 0);                    -- export
            avs_eth_0_reg_address_export                                 : out std_logic_vector(3 downto 0);                     -- export
            avs_eth_0_reg_read_export                                    : out std_logic;                                        -- export
            avs_eth_0_reg_readdata_export                                : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            avs_eth_0_reg_write_export                                   : out std_logic;                                        -- export
            avs_eth_0_reg_writedata_export                               : out std_logic_vector(31 downto 0);                    -- export
            avs_eth_0_reset_export                                       : out std_logic;                                        -- export
            avs_eth_0_tse_address_export                                 : out std_logic_vector(9 downto 0);                     -- export
            avs_eth_0_tse_read_export                                    : out std_logic;                                        -- export
            avs_eth_0_tse_readdata_export                                : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            avs_eth_0_tse_waitrequest_export                             : in  std_logic                     := 'X';             -- export
            avs_eth_0_tse_write_export                                   : out std_logic;                                        -- export
            avs_eth_0_tse_writedata_export                               : out std_logic_vector(31 downto 0);                    -- export
            clk_clk                                                      : in  std_logic                     := 'X';             -- clk
            jesd204b_address_export                                      : out std_logic_vector(11 downto 0);                     -- export
            jesd204b_clk_export                                          : out std_logic;                                        -- export
            jesd204b_read_export                                         : out std_logic;                                        -- export
            jesd204b_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            jesd204b_reset_export                                        : out std_logic;                                        -- export
            jesd204b_write_export                                        : out std_logic;                                        -- export
            jesd204b_writedata_export                                    : out std_logic_vector(31 downto 0);                    -- export
            reg_bsn_monitor_input_address_export                         : out std_logic_vector(7 downto 0);
            reg_bsn_monitor_input_writedata_export                       : out std_logic_vector(31 downto 0);
            reg_bsn_monitor_input_reset_export                           : out std_logic;
            reg_bsn_monitor_input_clk_export                             : out std_logic;
            reg_bsn_monitor_input_write_export                           : out std_logic;
            reg_bsn_monitor_input_readdata_export                        : in  std_logic_vector(31 downto 0) := (others => '0');
            reg_bsn_monitor_input_read_export                            : out std_logic;
            reg_wg_0_address_export                                      : out std_logic_vector(1 downto 0);
            reg_wg_0_writedata_export                                    : out std_logic_vector(31 downto 0);
            reg_wg_0_reset_export                                        : out std_logic;
            reg_wg_0_clk_export                                          : out std_logic;
            reg_wg_0_write_export                                        : out std_logic;
            reg_wg_0_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            reg_wg_0_read_export                                         : out std_logic;
            reg_wg_1_address_export                                      : out std_logic_vector(1 downto 0);
            reg_wg_1_writedata_export                                    : out std_logic_vector(31 downto 0);
            reg_wg_1_reset_export                                        : out std_logic;
            reg_wg_1_clk_export                                          : out std_logic;
            reg_wg_1_write_export                                        : out std_logic;
            reg_wg_1_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            reg_wg_1_read_export                                         : out std_logic;
            reg_wg_2_address_export                                      : out std_logic_vector(1 downto 0);
            reg_wg_2_writedata_export                                    : out std_logic_vector(31 downto 0);
            reg_wg_2_reset_export                                        : out std_logic;
            reg_wg_2_clk_export                                          : out std_logic;
            reg_wg_2_write_export                                        : out std_logic;
            reg_wg_2_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            reg_wg_2_read_export                                         : out std_logic;
            reg_wg_3_address_export                                      : out std_logic_vector(1 downto 0);
            reg_wg_3_writedata_export                                    : out std_logic_vector(31 downto 0);
            reg_wg_3_reset_export                                        : out std_logic;
            reg_wg_3_clk_export                                          : out std_logic;
            reg_wg_3_write_export                                        : out std_logic;
            reg_wg_3_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            reg_wg_3_read_export                                         : out std_logic;
            --reg_wg_4_address_export                                      : out std_logic_vector(1 downto 0);
            --reg_wg_4_writedata_export                                    : out std_logic_vector(31 downto 0);
            --reg_wg_4_reset_export                                        : out std_logic;
            --reg_wg_4_clk_export                                          : out std_logic;
            --reg_wg_4_write_export                                        : out std_logic;
            --reg_wg_4_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --reg_wg_4_read_export                                         : out std_logic;
            --reg_wg_5_address_export                                      : out std_logic_vector(1 downto 0);
            --reg_wg_5_writedata_export                                    : out std_logic_vector(31 downto 0);
            --reg_wg_5_reset_export                                        : out std_logic;
            --reg_wg_5_clk_export                                          : out std_logic;
            --reg_wg_5_write_export                                        : out std_logic;
            --reg_wg_5_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --reg_wg_5_read_export                                         : out std_logic;
            --reg_wg_6_address_export                                      : out std_logic_vector(1 downto 0);
            --reg_wg_6_writedata_export                                    : out std_logic_vector(31 downto 0);
            --reg_wg_6_reset_export                                        : out std_logic;
            --reg_wg_6_clk_export                                          : out std_logic;
            --reg_wg_6_write_export                                        : out std_logic;
            --reg_wg_6_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --reg_wg_6_read_export                                         : out std_logic;
            --reg_wg_7_address_export                                      : out std_logic_vector(1 downto 0);
            --reg_wg_7_writedata_export                                    : out std_logic_vector(31 downto 0);
            --reg_wg_7_reset_export                                        : out std_logic;
            --reg_wg_7_clk_export                                          : out std_logic;
            --reg_wg_7_write_export                                        : out std_logic;
            --reg_wg_7_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --reg_wg_7_read_export                                         : out std_logic;
            --reg_wg_8_address_export                                      : out std_logic_vector(1 downto 0);
            --reg_wg_8_writedata_export                                    : out std_logic_vector(31 downto 0);
            --reg_wg_8_reset_export                                        : out std_logic;
            --reg_wg_8_clk_export                                          : out std_logic;
            --reg_wg_8_write_export                                        : out std_logic;
            --reg_wg_8_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --reg_wg_8_read_export                                         : out std_logic;
            --reg_wg_9_address_export                                      : out std_logic_vector(1 downto 0);
            --reg_wg_9_writedata_export                                    : out std_logic_vector(31 downto 0);
            --reg_wg_9_reset_export                                        : out std_logic;
            --reg_wg_9_clk_export                                          : out std_logic;
            --reg_wg_9_write_export                                        : out std_logic;
            --reg_wg_9_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --reg_wg_9_read_export                                         : out std_logic;
            --reg_wg_10_address_export                                      : out std_logic_vector(1 downto 0);
            --reg_wg_10_writedata_export                                    : out std_logic_vector(31 downto 0);
            --reg_wg_10_reset_export                                        : out std_logic;
            --reg_wg_10_clk_export                                          : out std_logic;
            --reg_wg_10_write_export                                        : out std_logic;
            --reg_wg_10_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --reg_wg_10_read_export                                         : out std_logic;
            --reg_wg_11_address_export                                      : out std_logic_vector(1 downto 0);
            --reg_wg_11_writedata_export                                    : out std_logic_vector(31 downto 0);
            --reg_wg_11_reset_export                                        : out std_logic;
            --reg_wg_11_clk_export                                          : out std_logic;
            --reg_wg_11_write_export                                        : out std_logic;
            --reg_wg_11_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --reg_wg_11_read_export                                         : out std_logic;
            ram_wg_0_address_export                                      : out std_logic_vector(9 downto 0);
            ram_wg_0_writedata_export                                    : out std_logic_vector(31 downto 0);
            ram_wg_0_reset_export                                        : out std_logic;
            ram_wg_0_clk_export                                          : out std_logic;
            ram_wg_0_write_export                                        : out std_logic;
            ram_wg_0_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            ram_wg_0_read_export                                         : out std_logic;
            ram_wg_1_address_export                                      : out std_logic_vector(9 downto 0);
            ram_wg_1_writedata_export                                    : out std_logic_vector(31 downto 0);
            ram_wg_1_reset_export                                        : out std_logic;
            ram_wg_1_clk_export                                          : out std_logic;
            ram_wg_1_write_export                                        : out std_logic;
            ram_wg_1_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            ram_wg_1_read_export                                         : out std_logic;
            ram_wg_2_address_export                                      : out std_logic_vector(9 downto 0);
            ram_wg_2_writedata_export                                    : out std_logic_vector(31 downto 0);
            ram_wg_2_reset_export                                        : out std_logic;
            ram_wg_2_clk_export                                          : out std_logic;
            ram_wg_2_write_export                                        : out std_logic;
            ram_wg_2_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            ram_wg_2_read_export                                         : out std_logic;
            ram_wg_3_address_export                                      : out std_logic_vector(9 downto 0);
            ram_wg_3_writedata_export                                    : out std_logic_vector(31 downto 0);
            ram_wg_3_reset_export                                        : out std_logic;
            ram_wg_3_clk_export                                          : out std_logic;
            ram_wg_3_write_export                                        : out std_logic;
            ram_wg_3_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            ram_wg_3_read_export                                         : out std_logic;
            --ram_wg_4_address_export                                      : out std_logic_vector(9 downto 0);
            --ram_wg_4_writedata_export                                    : out std_logic_vector(31 downto 0);
            --ram_wg_4_reset_export                                        : out std_logic;
            --ram_wg_4_clk_export                                          : out std_logic;
            --ram_wg_4_write_export                                        : out std_logic;
            --ram_wg_4_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --ram_wg_4_read_export                                         : out std_logic;
            --ram_wg_5_address_export                                      : out std_logic_vector(9 downto 0);
            --ram_wg_5_writedata_export                                    : out std_logic_vector(31 downto 0);
            --ram_wg_5_reset_export                                        : out std_logic;
            --ram_wg_5_clk_export                                          : out std_logic;
            --ram_wg_5_write_export                                        : out std_logic;
            --ram_wg_5_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --ram_wg_5_read_export                                         : out std_logic;
            --ram_wg_6_address_export                                      : out std_logic_vector(9 downto 0);
            --ram_wg_6_writedata_export                                    : out std_logic_vector(31 downto 0);
            --ram_wg_6_reset_export                                        : out std_logic;
            --ram_wg_6_clk_export                                          : out std_logic;
            --ram_wg_6_write_export                                        : out std_logic;
            --ram_wg_6_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --ram_wg_6_read_export                                         : out std_logic;
            --ram_wg_7_address_export                                      : out std_logic_vector(9 downto 0);
            --ram_wg_7_writedata_export                                    : out std_logic_vector(31 downto 0);
            --ram_wg_7_reset_export                                        : out std_logic;
            --ram_wg_7_clk_export                                          : out std_logic;
            --ram_wg_7_write_export                                        : out std_logic;
            --ram_wg_7_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --ram_wg_7_read_export                                         : out std_logic;
            --ram_wg_8_address_export                                      : out std_logic_vector(9 downto 0);
            --ram_wg_8_writedata_export                                    : out std_logic_vector(31 downto 0);
            --ram_wg_8_reset_export                                        : out std_logic;
            --ram_wg_8_clk_export                                          : out std_logic;
            --ram_wg_8_write_export                                        : out std_logic;
            --ram_wg_8_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --ram_wg_8_read_export                                         : out std_logic;
            --ram_wg_9_address_export                                      : out std_logic_vector(9 downto 0);
            --ram_wg_9_writedata_export                                    : out std_logic_vector(31 downto 0);
            --ram_wg_9_reset_export                                        : out std_logic;
            --ram_wg_9_clk_export                                          : out std_logic;
            --ram_wg_9_write_export                                        : out std_logic;
            --ram_wg_9_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --ram_wg_9_read_export                                         : out std_logic;
            --ram_wg_10_address_export                                      : out std_logic_vector(9 downto 0);
            --ram_wg_10_writedata_export                                    : out std_logic_vector(31 downto 0);
            --ram_wg_10_reset_export                                        : out std_logic;
            --ram_wg_10_clk_export                                          : out std_logic;
            --ram_wg_10_write_export                                        : out std_logic;
            --ram_wg_10_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --ram_wg_10_read_export                                         : out std_logic;
            --ram_wg_11_address_export                                      : out std_logic_vector(1 downto 0);
            --ram_wg_11_writedata_export                                    : out std_logic_vector(31 downto 0);
            --ram_wg_11_reset_export                                        : out std_logic;
            --ram_wg_11_clk_export                                          : out std_logic;
            --ram_wg_11_write_export                                        : out std_logic;
            --ram_wg_11_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => '0');
            --ram_wg_11_read_export                                         : out std_logic;
            pio_pps_address_export                                       : out std_logic_vector(0 downto 0);                     -- export
            pio_pps_clk_export                                           : out std_logic;                                        -- export
            pio_pps_read_export                                          : out std_logic;                                        -- export
            pio_pps_readdata_export                                      : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            pio_pps_reset_export                                         : out std_logic;                                        -- export
            pio_pps_write_export                                         : out std_logic;                                        -- export
            pio_pps_writedata_export                                     : out std_logic_vector(31 downto 0);                    -- export
            pio_system_info_address_export                               : out std_logic_vector(4 downto 0);                     -- export
            pio_system_info_clk_export                                   : out std_logic;                                        -- export
            pio_system_info_read_export                                  : out std_logic;                                        -- export
            pio_system_info_readdata_export                              : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            pio_system_info_reset_export                                 : out std_logic;                                        -- export
            pio_system_info_write_export                                 : out std_logic;                                        -- export
            pio_system_info_writedata_export                             : out std_logic_vector(31 downto 0);                    -- export
            pio_wdi_external_connection_export                           : out std_logic;                                        -- export
            reg_dpmm_ctrl_address_export                                 : out std_logic_vector(0 downto 0);                     -- export
            reg_dpmm_ctrl_clk_export                                     : out std_logic;                                        -- export
            reg_dpmm_ctrl_read_export                                    : out std_logic;                                        -- export
            reg_dpmm_ctrl_readdata_export                                : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_dpmm_ctrl_reset_export                                   : out std_logic;                                        -- export
            reg_dpmm_ctrl_write_export                                   : out std_logic;                                        -- export
            reg_dpmm_ctrl_writedata_export                               : out std_logic_vector(31 downto 0);                    -- export
            reg_dpmm_data_address_export                                 : out std_logic_vector(0 downto 0);                     -- export
            reg_dpmm_data_clk_export                                     : out std_logic;                                        -- export
            reg_dpmm_data_read_export                                    : out std_logic;                                        -- export
            reg_dpmm_data_readdata_export                                : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_dpmm_data_reset_export                                   : out std_logic;                                        -- export
            reg_dpmm_data_write_export                                   : out std_logic;                                        -- export
            reg_dpmm_data_writedata_export                               : out std_logic_vector(31 downto 0);                    -- export
            reg_epcs_address_export                                      : out std_logic_vector(2 downto 0);                     -- export
            reg_epcs_clk_export                                          : out std_logic;                                        -- export
            reg_epcs_read_export                                         : out std_logic;                                        -- export
            reg_epcs_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_epcs_reset_export                                        : out std_logic;                                        -- export
            reg_epcs_write_export                                        : out std_logic;                                        -- export
            reg_epcs_writedata_export                                    : out std_logic_vector(31 downto 0);                    -- export
            reg_fpga_temp_sens_address_export                            : out std_logic_vector(2 downto 0);                     -- export
            reg_fpga_temp_sens_clk_export                                : out std_logic;                                        -- export
            reg_fpga_temp_sens_read_export                               : out std_logic;                                        -- export
            reg_fpga_temp_sens_readdata_export                           : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_fpga_temp_sens_reset_export                              : out std_logic;                                        -- export
            reg_fpga_temp_sens_write_export                              : out std_logic;                                        -- export
            reg_fpga_temp_sens_writedata_export                          : out std_logic_vector(31 downto 0);                    -- export
            reg_fpga_voltage_sens_address_export                         : out std_logic_vector(3 downto 0);                     -- export
            reg_fpga_voltage_sens_clk_export                             : out std_logic;                                        -- export
            reg_fpga_voltage_sens_read_export                            : out std_logic;                                        -- export
            reg_fpga_voltage_sens_readdata_export                        : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_fpga_voltage_sens_reset_export                           : out std_logic;                                        -- export
            reg_fpga_voltage_sens_write_export                           : out std_logic;                                        -- export
            reg_fpga_voltage_sens_writedata_export                       : out std_logic_vector(31 downto 0);                    -- export
            reg_mmdp_ctrl_address_export                                 : out std_logic_vector(0 downto 0);                     -- export
            reg_mmdp_ctrl_clk_export                                     : out std_logic;                                        -- export
            reg_mmdp_ctrl_read_export                                    : out std_logic;                                        -- export
            reg_mmdp_ctrl_readdata_export                                : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_mmdp_ctrl_reset_export                                   : out std_logic;                                        -- export
            reg_mmdp_ctrl_write_export                                   : out std_logic;                                        -- export
            reg_mmdp_ctrl_writedata_export                               : out std_logic_vector(31 downto 0);                    -- export
            reg_mmdp_data_address_export                                 : out std_logic_vector(0 downto 0);                     -- export
            reg_mmdp_data_clk_export                                     : out std_logic;                                        -- export
            reg_mmdp_data_read_export                                    : out std_logic;                                        -- export
            reg_mmdp_data_readdata_export                                : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_mmdp_data_reset_export                                   : out std_logic;                                        -- export
            reg_mmdp_data_write_export                                   : out std_logic;                                        -- export
            reg_mmdp_data_writedata_export                               : out std_logic_vector(31 downto 0);                    -- export
            reg_remu_address_export                                      : out std_logic_vector(2 downto 0);                     -- export
            reg_remu_clk_export                                          : out std_logic;                                        -- export
            reg_remu_read_export                                         : out std_logic;                                        -- export
            reg_remu_readdata_export                                     : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_remu_reset_export                                        : out std_logic;                                        -- export
            reg_remu_write_export                                        : out std_logic;                                        -- export
            reg_remu_writedata_export                                    : out std_logic_vector(31 downto 0);                    -- export
            reg_unb_pmbus_address_export                                 : out std_logic_vector(5 downto 0);                     -- export
            reg_unb_pmbus_clk_export                                     : out std_logic;                                        -- export
            reg_unb_pmbus_read_export                                    : out std_logic;                                        -- export
            reg_unb_pmbus_readdata_export                                : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_unb_pmbus_reset_export                                   : out std_logic;                                        -- export
            reg_unb_pmbus_write_export                                   : out std_logic;                                        -- export
            reg_unb_pmbus_writedata_export                               : out std_logic_vector(31 downto 0);                    -- export
            reg_unb_sens_address_export                                  : out std_logic_vector(5 downto 0);                     -- export
            reg_unb_sens_clk_export                                      : out std_logic;                                        -- export
            reg_unb_sens_read_export                                     : out std_logic;                                        -- export
            reg_unb_sens_readdata_export                                 : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_unb_sens_reset_export                                    : out std_logic;                                        -- export
            reg_unb_sens_write_export                                    : out std_logic;                                        -- export
            reg_unb_sens_writedata_export                                : out std_logic_vector(31 downto 0);                    -- export
            reg_wdi_address_export                                       : out std_logic_vector(0 downto 0);                     -- export
            reg_wdi_clk_export                                           : out std_logic;                                        -- export
            reg_wdi_read_export                                          : out std_logic;                                        -- export
            reg_wdi_readdata_export                                      : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_wdi_reset_export                                         : out std_logic;                                        -- export
            reg_wdi_write_export                                         : out std_logic;                                        -- export
            reg_wdi_writedata_export                                     : out std_logic_vector(31 downto 0);                    -- export
            reset_reset_n                                                : in  std_logic                     := 'X';             -- reset_n
            rom_system_info_address_export                               : out std_logic_vector(9 downto 0);                     -- export
            rom_system_info_clk_export                                   : out std_logic;                                        -- export
            rom_system_info_read_export                                  : out std_logic;                                        -- export
            rom_system_info_readdata_export                              : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            rom_system_info_reset_export                                 : out std_logic;                                        -- export
            rom_system_info_write_export                                 : out std_logic;                                        -- export
            rom_system_info_writedata_export                             : out std_logic_vector(31 downto 0);                     -- export
            ram_diag_data_buf_jesd_address_export                        : out std_logic_vector(16 downto 0);                    -- export
            ram_diag_data_buf_jesd_clk_export                            : out std_logic;                                        -- export
            ram_diag_data_buf_jesd_read_export                           : out std_logic;                                        -- export
            ram_diag_data_buf_jesd_readdata_export                       : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            ram_diag_data_buf_jesd_reset_export                          : out std_logic;                                        -- export
            ram_diag_data_buf_jesd_write_export                          : out std_logic;                                        -- export
            ram_diag_data_buf_jesd_writedata_export                      : out std_logic_vector(31 downto 0);                    -- export
            reg_diag_data_buf_jesd_address_export                        : out std_logic_vector(11 downto 0);                     -- export
            reg_diag_data_buf_jesd_clk_export                            : out std_logic;                                        -- export
            reg_diag_data_buf_jesd_read_export                           : out std_logic;                                        -- export
            reg_diag_data_buf_jesd_readdata_export                       : in  std_logic_vector(31 downto 0) := (others => 'X'); -- export
            reg_diag_data_buf_jesd_reset_export                          : out std_logic;                                        -- export
            reg_diag_data_buf_jesd_write_export                          : out std_logic;                                        -- export
            reg_diag_data_buf_jesd_writedata_export                      : out std_logic_vector(31 downto 0)                    -- export
        );
    end component qsys_lofar2_unb2b_adc;

END qsys_lofar2_unb2b_adc_pkg;

